#include <SPI.h>
#include <SD.h>

const int chipSelect = 4;  // Broche de sélection du shield SD
const int broche_Temp = 0;  // Broche de connection du capteur de température
long temps = 0;   // Initialisation chronomètre

void setup()
{
  Serial.begin(9600);
  analogReference(INTERNAL);    // Tension de référence CAN 1,1 V  
  pinMode(chipSelect, OUTPUT);  // Broche 8 en sortie

  // Test si la carte sd est bien placée dans le slot
  if (!SD.begin(chipSelect)) {
    Serial.println("Carte SD non détectée");
    return;
  }
  Serial.println("Initialisation carte SD réussie");
}

void loop()
{
  String dataString = "";
  delay(3000);
  temps += 30000;
  int valeur_num = analogRead(A0);             // Valeur numérique de la tension du capteur
  float tension = (valeur_num * 1.1) /1023;   // Calcul de la tension du capteur
  float T = tension/0.01;                     // Calcul de la température
  dataString += String(T).substring(0,4);
  dataString += ";";
  dataString += String(temps);

  // Ouverture du fichier en mode écriture
  File dataFile = SD.open("mesures.txt", FILE_WRITE);

  // Si le fichier existe
  if (dataFile) 
  {
      dataFile.println(dataString);
      dataFile.close();
      Serial.println(dataString);
      }
  // Sinon afficher un message d'erreur
  else 
  {
      Serial.println("Erreur ouverture fichier mesures.txt");
      }
   }
